LIBRARY IEEE;
USE ieee.std_logic_1164.ALL;

ENTITY cathfinal IS
	PORT (
		clk, rst: IN STD_LOGIC;
		c0, c1, c2, c3, c4, c5, c6 : OUT STD_LOGIC
		);
END cathfinal;

ARCHITECTURE archi OF  cathfinal IS
	SIGNAL cmpt: INTEGER RANGE 0 TO 6;
	SIGNAL bascule: STD_LOGIC;
	BEGIN
	PROCESS(clk, rst)
	BEGIN
		IF rst = '1' THEN
			cmpt <= 0;
			bascule <= '0';
		ELSE
			IF clk'EVENT and clk = '1'THEN
				c0 <= '0';
				c1 <= '0';
				c2 <= '0';
				c3 <= '0';
				c4 <= '0';
				c5 <= '0';
				c6 <= '0';
				IF bascule = '1' THEN
					bascule <= '0';
				ELSE
					bascule <= '1';
					IF cmpt = 6 THEN
						cmpt <= 0;
					ELSE
						cmpt <= cmpt + 1;
					END IF;
					CASE cmpt IS
						WHEN 0 => c0 <= '1';
						WHEN 1 => c1 <= '1';
						WHEN 2 => c2 <= '1';
						WHEN 3 => c3 <= '1';
						WHEN 4 => c4 <= '1';
						WHEN 5 => c5 <= '1';
						WHEN 6 => c6 <= '1';
					END CASE;
				END IF;
    			END IF;
		END IF;
	END PROCESS;
END archi;
