	org $FF9100

delta_t	equ	625	; delai inter-interruptions du timer
refresh	equ	375	; nb de delta_t par secondes

PGCR	equ	$10001
PACR	equ	$1000d
PBCR	equ	$1000f
PADDR	equ	$10005
PBDDR	equ	$10007
PADR	equ	$10011
PBDR	equ	$10013
TCR	equ	$10021
TIVR	equ	$10023
CPR	equ	$27
CNTR	equ	$2f
TSR	equ	$10035

	move.l	#$FFFF83FC,a1	; adresse du vecteur 255
	lea	timer_ih,a2	; adresse du gestionnaire

	move.l	a2,(a1)		; init IDT
	
	move.l	#$10000,a0	; adresse de base du PIT230
	move.b	#$10,PGCR
	move.b	#$c0,PACR
	move.b	#$c0,PBDR
	move.b	#$ff,PADDR
	move.b	#$ff,PBDDR
	move.b	#255,TIVR
	move.l	#delta_t,d0	; (7.500.000 / 32) / 375 = 625
	movep.l	d0,CPR-2(A0)
	movep.l	d0,CNTR-2(A0)
	move.b	#$a1,TCR
	move.b	#$ff,PADR
	move.b	#$ff,PBDR
	move	#$2000,sr	; autoriser les interrupt_timer
	

	...

timer_ih
	move.l	D0,-(A7)
	move.l	A0,-(A7)	; sauvegarde des variables sur la pile

	code_de_feu

	move.l	(A7)+,A0
	move.l	(A7)+,D0	; restauration a partir de la pile
	
	rte			; fin int
	
var0	dc.b	$44
